Bug 79213 - [CSS Regions] CSS :hover pseudo-class on regions isn't applied on regions
: [CSS Regions] CSS :hover pseudo-class on regions isn't applied on regions
Status: NEW
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: All Unspecified
: P2 Normal
Assigned To: Mihai Maerean
: AdobeTracked
Depends on:
Blocks: 57309 57312
  Show dependency treegraph
 
Reported: 2012-02-22 02:21 PST by Razvan Caliman
Modified: 2013-06-13 20:51 PDT (History)
5 users (show)

See Also:


Attachments
Test case (2.30 KB, text/html)
2012-02-22 02:21 PST, Razvan Caliman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Razvan Caliman 2012-02-22 02:21:20 PST
Created attachment 128162 [details]
Test case

If a region has a :hover CSS pseudo-class it will not be applied consistently. 
Content flowed into a region prevents the :hover pseudo-class from applying to the region.
Comment 1 Mihnea Ovidenie 2013-05-27 11:15:14 PDT
If you hover over the region border, the hover class for the region is applied. At this moment, there is no easy way in which the content events are passed to the region, and to a certain extent to the fragmentainer.

See http://lists.w3.org/Archives/Public/www-style/2013Apr/0594.html
Comment 2 Michelangelo De Simone 2013-06-13 20:51:52 PDT
Still repros on today's nightly (r151543)